Home

Proposals queries all proposals based on given status.

GET
https://lunc.nownodes.io/cosmos/gov/v1beta1/proposals

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

proposal_statusstringPROPOSAL_STATUS_UNSPECIFIEDPROPOSAL_STATUS_DEPOSIT_PERIODPROPOSAL_STATUS_VOTING_PERIODPROPOSAL_STATUS_PASSEDPROPOSAL_STATUS_REJECTEDPROPOSAL_STATUS_FAILEDPROPOSAL_STATUS_UNSPECIFIEDquery

proposal_status defines the status of the proposals.

  • PROPOSAL_STATUS_UNSPECIFIED: PROPOSAL_STATUS_UNSPECIFIED defines the default proposal status.
  • PROPOSAL_STATUS_DEPOSIT_PERIOD: PROPOSAL_STATUS_DEPOSIT_PERIOD defines a proposal status during the deposit period.
  • PROPOSAL_STATUS_VOTING_PERIOD: PROPOSAL_STATUS_VOTING_PERIOD defines a proposal status during the voting period.
  • PROPOSAL_STATUS_PASSED: PROPOSAL_STATUS_PASSED defines a proposal status of a proposal that has passed.
  • PROPOSAL_STATUS_REJECTED: PROPOSAL_STATUS_REJECTED defines a proposal status of a proposal that has been rejected.
  • PROPOSAL_STATUS_FAILED: PROPOSAL_STATUS_FAILED defines a proposal status of a proposal that has failed.
voterstringquery

voter defines the voter address for the proposals.

depositorstringquery

depositor defines the deposit addresses from the proposals.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response.